=== debian/changelog ===
ocaml-gettext (0.4.2-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:23:48 +0100

ocaml-gettext (0.4.2-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with camomile 2.0.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 10:15:25 +0200

ocaml-gettext (0.4.2-2) unstable; urgency=medium

  * Team upload
  * Use ocam_dune DH buildsystem (Closes: #1042098)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:31:05 +0200

ocaml-gettext (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update copyright
  * Add Rules-Requires-Root
  * Update dependencies

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 15 Jun 2020 12:32:40 +0200
