=== examples/po/Makefile ===
--- 
+++ 
@@ -22,15 +22,16 @@
 
 OCAML_GETTEXT_PACKAGE = mydomain
 LINGUAS=$(shell cat LINGUAS)
-SOURCES=POTFILES
+SOURCES=$(shell cat POTFILES)
 
 OCAML_GETTEXT=ocaml-gettext
-OCAML_GETTEXT_EXTRACT_OPTIONS=
+OCAML_XGETTEXT=ocaml-xgettext
+OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(OCAML_XGETTEXT)
 OCAML_GETTEXT_COMPILE_OPTIONS=
 OCAML_GETTEXT_INSTALL_OPTIONS=
 OCAML_GETTEXT_MERGE_OPTIONS=
 
-BUILDPO=../build/share/locale/
+BUILDPO=../../_build/share/locale/
 
 POFILES=$(addsuffix .po,$(LINGUAS))
 MOFILES=$(addsuffix .mo,$(LINGUAS))
@@ -56,17 +57,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	--merge-pot $(POTFILE) $@
 
-$(BUILDPO): 
+$(BUILDPO):
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE) 
+.PRECIOUS: $(POTFILE)
 
 install-buildpo: $(MOFILES) $(BUILDPO)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES) 
+install-po: $(MOFILES)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(PODIR) $(MOFILES)
@@ -80,4 +81,4 @@
 	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
 	--uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	--uninstall-orgdir $(BUILDPO) $(MOFILES)
-	-$(RM) $(MOFILES) 
+	-$(RM) $(MOFILES)
