=== debian/changelog ===
ocaml-gettext (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - all patches have been merged upstream
  * Update Homepage
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Feb 2025 06:44:36 +0100

ocaml-gettext (0.4.2-5) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.3.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Jan 2025 05:27:48 +0100

ocaml-gettext (0.4.2-4) unstable; urgency=medium

  * Fix compilation with OCaml 5.x

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 08:57:28 +0200
