## ocaml-gettext 0.5.0%2B%2Bgit5-g6591d7a

=== debian/changelog ===
ocaml-gettext (0.5.0++git5-g6591d7a-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Jan 2026 15:35:20 +0100

ocaml-gettext (0.5.0+really0.4.2-2) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.4.0
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Dec 2025 22:08:39 +0100

ocaml-gettext (0.5.0+really0.4.2-1) unstable; urgency=medium

  * Team upload
  * Revert upstream to 0.4.2 (Closes: #1101568)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Mar 2025 15:32:44 +0100
