## ocaml-gettext 0.5.0+really0.4.2

=== po/Makefile ===
--- 
+++ 
@@ -21,14 +21,15 @@
 ##########################################################################
 
 
-BUILDPO=../_build/default/share/locale/
+include ../ConfMakefile
+include ../TopMakefile
+
 OCAML_GETTEXT_PACKAGE = ocaml-gettext
 LINGUAS=$(shell cat LINGUAS)
-SOURCES=$(shell cat POTFILES)
+SOURCES=POTFILES
 
-OCAML_GETTEXT=ocaml-gettext
-OCAML_XGETTEXT=ocaml-xgettext
-OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(OCAML_XGETTEXT)
+OCAML_GETTEXT=$(BUILDBIN)/ocaml-gettext
+OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-command $(BUILDBIN)/ocaml-xgettext
 OCAML_GETTEXT_COMPILE_OPTIONS=
 OCAML_GETTEXT_INSTALL_OPTIONS=
 OCAML_GETTEXT_MERGE_OPTIONS=
@@ -57,17 +58,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	--merge-pot $(POTFILE) $@
 
-$(BUILDPO):
+$(BUILDPO): 
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE)
+.PRECIOUS: $(POTFILE) 
 
-install-buildpo: $(MOFILES) $(BUILDPO)
+install-buildpo: $(MOFILES) $(BUILDPO) $(OCAML_GETTEXT)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES)
+install-po: $(MOFILES) $(OCAML_GETTEXT)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	--install-textdomain $(OCAML_GETTEXT_PACKAGE)                         \
 	--install-destdir $(PODIR) $(MOFILES)
