=== debian/changelog ===
ocaml-gettext (0.5.0+really0.4.2-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:44:12 +0200

ocaml-gettext (0.5.0+really0.4.2-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:32:29 +0200
