=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
                ocaml-dune,
                ocaml-findlib,
                ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
-Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/
+Homepage: https://github.com/gildor478/ocaml-gettext
 Rules-Requires-Root: no
 
 Package: libgettext-ocaml
