=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ocaml-gettext-$1\.tar\.gz/ \
    https://github.com/gildor478/ocaml-gettext/tags .*/v?(\d\S+)\.tar\.gz
