## ocaml-gettext 0.5.0++git5-g6591d7a

=== debian/changelog ===
ocaml-gettext (0.5.0++git5-g6591d7a-1build1) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@debian.org>  Sat, 28 Feb 2026 20:45:37 +0100
